org.eclipse.microprofile.context.spi

## Class ContextManagerProviderRegistration

- java.lang.Object
- - org.eclipse.microprofile.context.spi.ContextManagerProviderRegistration

    public class ContextManagerProviderRegistration
    extends Object

This class gives the container that registered a `ContextManagerProvider` exclusive control over unregistering it.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `unregister()` Unregister the `ContextManagerProvider` that is represented by this `ContextManagerProviderRegistration` instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### unregister

    public void unregister()

Unregister the `ContextManagerProvider` that is represented by this `ContextManagerProviderRegistration` instance.